## ppl0.10 0.10.2

=== debian/changelog ===
ppl0.10 (0.10.2-10ubuntu1) natty; urgency=low

  * Disable building the documentation.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Jan 2011 23:47:37 +0100

ppl0.10 (0.10.2-10) experimental; urgency=low

  * Rename the source to ppl0.10.  0.10 is required by GCC-4.4 and GCC-4.5,
    while GCC-4.6 and gcc-snapshot need 0.11.
  * Stop building the libpwl4, libpwl-dev, libppl-docand libppl-swi
    packages from this source.
  * Add myself to uploaders.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jan 2011 23:19:49 +0100

ppl (0.10.2-9) unstable; urgency=low

  * m68k hasn't fully caught up yet, don't build PPL Prolog interface on m68k.
    Closes: #601445.
  * Re-enabled Prolog interface on kfreebsd-* as swi-prolog is now available.

 -- Michael Tautschnig <mt@debian.org>  Tue, 26 Oct 2010 14:18:12 +0200

ppl (0.10.2-8) unstable; urgency=low

  * Ignore testsuite failures on armel as these seem to be caused by
    miscompilation, see #593324.
  * No more swi-prolog on mips, don't build PPL Prolog interface on mips.
    Closes: #593393.

 -- Michael Tautschnig <mt@debian.org>  Mon, 06 Sep 2010 12:31:59 +0200

ppl (0.10.2-7) unstable; urgency=low

  * Drop xpdf-utils from build depends to fix FTBFS. Closes: #591155.
  * Bumped Standars-Version to 3.9.1 (no changes).
  * Specifically require automake1.10 as we modify some Makefile.am.
  * swi-prolog now ships executable linker as swipl-ld.

 -- Michael Tautschnig <mt@debian.org>  Sun, 01 Aug 2010 12:22:05 +0200

ppl (0.10.2-6) unstable; urgency=low

  * Another bugfix to work around incomplete signal handling on hurd.

 -- Michael Tautschnig <mt@debian.org>  Tue, 02 Mar 2010 16:08:49 +0100

ppl (0.10.2-5) unstable; urgency=low

  * Dropped versioned build dep on libgmp3-dev as even etch has a sufficiently
    new version.
  * Dropped build dep on quilt.
  * Added upstream patches to work around incomplete signal handling on hurd.
  * Disable 2 Prolog tests as there is some failure on PowerPC only that I'm
    unable to debug. Closes: #570387.

 -- Michael Tautschnig <mt@debian.org>  Sun, 28 Feb 2010 10:35:31 +0100

ppl (0.10.2-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format, removed quilt-related code from
    debian/rules.
  * Bumped Standars-Version to 3.8.4 (no changes).
  * Added ${misc:Depends} as we are using debhelper.
  * Build SWI-Prolog bindings on linux architectures only as swi-prolog is not
    available on others.

 -- Michael Tautschnig <mt@debian.org>  Wed, 03 Feb 2010 00:11:22 +0100

ppl (0.10.2-3) unstable; urgency=low

  * Bumped Standars-Version to 3.8.3 (no changes).
  * Added README.source.
  * Added current upstream patches for 0.10.2.
  * Don't watch snapshots, only do stable releases.
  * Added SWI-Prolog bindings (new package libppl-swi, thanks Israel Herraiz
    <isra@herraiz.org>). Closes: #540083.

 -- Michael Tautschnig <mt@debian.org>  Fri, 16 Oct 2009 12:33:08 +0200

ppl (0.10.2-2) unstable; urgency=low

  * debian/rules: Use findstring instead of filter. This should really run
    the testsuite with -k on alpha.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 24 May 2009 07:49:26 +0000

ppl (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends-Indep on xpdf-utils | poppler-utils instead of xpdf-utils.
  * Run the testsuite with -k, and never fail the build in case of regressions
    on alpha. (this will change when graphite will be used by default in GCC).
  * debian/patches/exception_tests_alpha: Remove.

 -- Arthur Loiret <aloiret@debian.org>  Mon, 11 May 2009 22:08:57 +0000

ppl (0.10.1~pre13-1) unstable; urgency=medium

  * New upstream snapshot.
    - Dropped patch for bigendian issues.
  * urgency=medium because of FTBFS workaround.
  * Disabled more tests on alpha - exception handling is utterly broken on
    alpha, which will also affect users of PPL on that architecture (probably
    GCC PR 8966) as raised exception cause immediate aborts.
  * Re-enabled Build-Depends-Indep and adapted rules accordingly.
    Closes: #517659.
  * Bumped Standars-Version to 3.8.1 (no changes).
  * Updated copyright information for several files that had been added in
    0.10 and also have a specific license.
  * Added comments to quilt patch (thanks lintian).
  * Added one sentence explaining the difference between libpwl4 und
    libpwl-dev (thanks lintian).
  * Dropped the ChangeLog hackery using symlinks, the ChangeLog is pretty
    small nowadays.
  * Moved pwl.hh to libpwl-dev package.

 -- Michael Tautschnig <mt@debian.org>  Mon, 13 Apr 2009 08:04:52 +0200

ppl (0.10-4) unstable; urgency=medium

  * urgency=medium because of FTBFS workaround.
  * With #229357 still being open, we can't use Build-Depends-Indep the way
    policy suggests. It would have been too beautiful anyway.

 -- Michael Tautschnig <mt@debian.org>  Fri, 20 Feb 2009 10:11:26 +0100

ppl (0.10-3) unstable; urgency=medium

  * urgency=medium because of FTBFS workaround.
  * Exclude test11-test18 of generalizedaffineimage3.cc on alpha because of
    bugs in gcc/exception handling.
  * Moved the dependencies needed for building the documentation to
    Build-Depends-Indep.
  * Introducing quilt to manage patches.

 -- Michael Tautschnig <mt@debian.org>  Tue, 17 Feb 2009 09:10:34 +0100

ppl (0.10-2) unstable; urgency=high

  * urgency=high because of RC bug fix.
  * Check snapshots and releases for newer versions.
  * Proper defines on bigendian systems. Closes: #514158.
  * Don't ignore errors while running make check (this would have made visible
    the above bug immediately).

 -- Michael Tautschnig <mt@debian.org>  Wed, 04 Feb 2009 20:42:26 +0100

ppl (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Michael Tautschnig <mt@debian.org>  Wed, 05 Nov 2008 06:54:23 +0000

ppl (0.10~pre34-1) unstable; urgency=low

  [ Arthur Loiret ]
  * New upstream snapshot.
  * Fix build on arm.  Closes: #499746.
  * debian/libp[pw]l-dev.preinst: handle /usr/share/doc/libp[pw]l

